"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
class FileStoreService {
    constructor(fileStoreHost) {
        this.fileStoreHost = fileStoreHost;
    }
    async save(file) {
        return new Promise(async (resolve, reject) => {
            try {
                let formData = new FormData();
                formData.append('file', file);
                let response = await axios_1.default({
                    method: 'post',
                    url: this.fileStoreHost + '/upload',
                    data: formData,
                    headers: {
                        'Content-Type': 'multipart/form-data'
                    }
                });
                resolve(response.data.address);
            }
            catch (error) {
                reject(error);
            }
        });
    }
    async get(hash) {
        let response = await axios_1.default({
            method: 'get',
            url: this.fileStoreHost + '/download',
            params: {
                filename: hash
            }
        });
        let data = typeof response.data === 'object'
            ? JSON.stringify(response.data)
            : response.data;
        return Buffer.from(data);
    }
}
exports.FileStoreService = FileStoreService;
//# sourceMappingURL=file-store-service.js.map