"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
const ethereum_service_1 = require("../service/ethereum-service");
class MinespiderService {
    constructor(ethereumService, backendService) {
        this.ethereumService = ethereumService;
        this.backendService = backendService;
    }
    async registerEntity(entity) {
        if (!ethereum_service_1.EthereumService.isAddress(entity.id)) {
            throw new Error('Invalid address: ' + entity.id);
        }
        let keyPair = await this.ethereumService.registerEntity(entity);
        await this.backendService.registerEntity(entity, keyPair.publicKey);
        return keyPair;
    }
    async updateSilqTokenAddress(newAddress) {
        return this.ethereumService.updateSilqTokenAddress(newAddress);
    }
    async updateMinespiderAddress(newAddress) {
        return this.ethereumService.updateMinespiderAddress(newAddress);
    }
    async updateDataPacketStorageAddress(newAddress) {
        return this.ethereumService.updateDataPacketStorageAddress(newAddress);
    }
    async modifyMassBalanceCertification(producerId, materialId, cmw) {
        return this.ethereumService.modifyMassBalanceCertification(producerId, materialId, cmw);
    }
}
exports.MinespiderService = MinespiderService;
//# sourceMappingURL=minespider-service.js.map