import { ProviderAdapterInterface, Entity } from "./provider-adapter";
import { Packet } from '../service/data-packet-service';
export declare class Web3Adapter implements ProviderAdapterInterface {
    readonly provider: any;
    private web3;
    private minespider;
    private minespiderContractAddress;
    private minespiderPacketManager;
    private silqToken;
    private initiated;
    constructor(provider: any);
    wasInitiated(): boolean;
    init(minespiderContractAddress: string, dataPacketStorageAddress: string, silqTokenAddress: string): void;
    registerEntity(entity: Entity): Promise<string>;
    modifyMassBalanceCertification(producerId: string, materialId: string, cmw: number): Promise<string>;
    certifyDataPacket(packetId: string, cmw: number, materialId: string, publicFilesAddresses: string[], privateFilesAddresses: string[]): Promise<string>;
    getPacket(packetId: string): Promise<Packet>;
    sellPacket(packetId: string, newPacketId: string, newOwnerAddress: string, cmw: number, publicFilesAddresses: any, privateFilesAddresses: any): Promise<string>;
    splitAndSellPacket(packetId: string, newOwnerAddress: string, part1Id: string, part2Id: string, amountToSell: number, publicFilesAddresses: any, privateFilesAddresses: any): Promise<string>;
    updateSilqTokenAddress(newAddress: string): Promise<string>;
    updateMinespiderAddress(newAddress: string): Promise<string>;
    updateDataPacketStorageAddress(newAddress: string): Promise<string>;
    getCurrentAccountAddress(): Promise<string>;
    getSILQBalance(address: string): Promise<number>;
    getProducedMassBalance(producerId: string, materialId: string): Promise<number>;
    getOwnedMassBalance(producerId: string, materialId: string): Promise<number>;
    getCertifiedMassBalance(producerId: string, materialId: string): Promise<number>;
    private getTransactionHash;
    private awaitTransactionConfirmation;
}
