/// <reference types="node" />
import { EthereumService } from './ethereum-service';
import { Packet } from './data-packet-service';
import { Entity } from '../adapter/provider-adapter';
export interface EntityCreationResponse {
    entity: Entity;
    publicKey: Buffer;
}
export declare class BackendService {
    private backendHost;
    private ethereumService;
    constructor(backendHost: any, ethereumService: EthereumService);
    getDataPackets(owner: string): Promise<Packet[]>;
    registerEntity(entity: Entity, publicKey: Buffer): Promise<Entity>;
    getEntity(entityId: string): Promise<Entity>;
    getEntities(type: number): Promise<Entity[]>;
    getEntityPublicKey(id: string): Promise<Buffer>;
    registerDataPacketEnvelopeAddress(ownerAddress: string, dataPacketEnvelopeAddress: string, privateKey: Buffer): Promise<string>;
    transferDataPacketEnvelopeAddress(currentOwnerAddress: string, currentOwnerAddressPrivateKey: Buffer, newOwnerAddress: string, dataPacketEnvelopeAddress: string): Promise<string>;
    getDataPacketEnvelopeAddresses(owner: string): Promise<string[]>;
}
