/// <reference types="node" />
export declare const crypto: any;
export declare class AESKey {
    readonly key: Buffer;
    readonly iv: Buffer;
    constructor(key: Buffer, iv: Buffer);
}
export declare class KeyPair {
    readonly publicKey: Buffer;
    readonly privateKey: Buffer;
    constructor(publicKey: Buffer, privateKey: Buffer);
}
export declare class EncryptionService {
    static generateKeyPair(): KeyPair;
    static generateAESKey(): AESKey;
    static encrypt(payload: Buffer, AESKey: AESKey): string;
    static decrypt(payload: string, AESKey: AESKey): Buffer;
    static encryptWithPublicKey(payload: Buffer, encodedPublicKey: Buffer): Promise<Buffer>;
    static decryptWithPrivateKey(payload: Buffer, encodedPrivateKey: Buffer): Promise<Buffer>;
    static signWithPrivateKey(payload: Buffer, encodedPrivateKey: Buffer): Promise<string>;
}
