/// <reference types="node" />
import { Packet } from './data-packet-service';
import { KeyPair } from './encryption-service';
import { ProviderAdapterInterface, Entity } from '../adapter/provider-adapter';
export declare class EthereumService {
    readonly provider: ProviderAdapterInterface;
    constructor(provider: ProviderAdapterInterface);
    registerEntity(entity: Entity): Promise<KeyPair>;
    modifyMassBalanceCertification(producerId: string, materialId: string, cmw: number): Promise<string>;
    certifyDataPacket(packetId: string, cmw: number, materialId: string, publicFilesAddresses: string[], privateFilesAddresses: string[]): Promise<string>;
    getPacket(packetId: string): Promise<Packet>;
    sellPacket(packetId: string, newPacketId: string, newOwnerAddress: string, cmw: number, publicFilesAddresses: any, privateFilesAddresses: any): Promise<string>;
    splitAndSellPacket(packetId: string, newOwnerAddress: string, part1Id: string, part2Id: string, amountToSell: number, publicFilesAddresses: any, privateFilesAddresses: any): Promise<string>;
    updateSilqTokenAddress(newAddress: string): Promise<string>;
    updateMinespiderAddress(newAddress: string): Promise<string>;
    updateDataPacketStorageAddress(newAddress: string): Promise<string>;
    getSILQBalance(address: string): Promise<number>;
    getProducedMassBalance(producerId: string, materialId: string): Promise<number>;
    getCertifiedMassBalance(producerId: string, materialId: string): Promise<number>;
    getOwnedMassBalance(producerId: string, materialId: string): Promise<number>;
    getCurrentAccountAddress(): Promise<string>;
    static isAddress(address: string): boolean;
    static bytesToHex(content: Buffer): Buffer;
    static stringToHex(content: Buffer): Buffer;
    static hexToString(content: Buffer): Buffer;
    static hexToBytes(content: Buffer): Buffer;
    static shasum(content: Buffer): string;
    static generateRandomHex(bytes: number): string;
}
