import 'reflect-metadata';
import { EthereumService } from '../service/ethereum-service';
import { KeyPair } from './encryption-service';
import { BackendService } from './backend-service';
import { Entity } from '../adapter/provider-adapter';
export declare class MinespiderService {
    private ethereumService;
    private backendService;
    constructor(ethereumService: EthereumService, backendService: BackendService);
    registerEntity(entity: Entity): Promise<KeyPair>;
    updateSilqTokenAddress(newAddress: string): Promise<string>;
    updateMinespiderAddress(newAddress: string): Promise<string>;
    updateDataPacketStorageAddress(newAddress: string): Promise<string>;
    modifyMassBalanceCertification(producerId: string, materialId: string, cmw: number): Promise<string>;
}
