"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MinespiderContractABI = JSON.parse(`[{"constant":true,"inputs":[],"name":"requiredStakedSilq","outputs":[{"name":"","type":"uint256"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[],"name":"silqTokenAddress","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"","type":"address"}],"name":"entities","outputs":[{"name":"id","type":"address"},{"name":"entityType","type":"uint8"},{"name":"name","type":"string"},{"name":"latitude","type":"string"},{"name":"longitude","type":"string"},{"name":"location","type":"string"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"","type":"address"}],"name":"certifiers","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"","type":"address"},{"name":"","type":"address"}],"name":"producersCertifiedBy","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":false,"inputs":[],"name":"acceptOwnership","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":true,"inputs":[],"name":"owner","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[],"name":"silqPerCmwPrice","outputs":[{"name":"","type":"uint256"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"a","type":"uint256"},{"name":"b","type":"uint256"}],"name":"safeSub","outputs":[{"name":"c","type":"uint256"}],"payable":false,"stateMutability":"pure","type":"function"},{"constant":true,"inputs":[{"name":"a","type":"uint256"},{"name":"b","type":"uint256"}],"name":"safeDiv","outputs":[{"name":"c","type":"uint256"}],"payable":false,"stateMutability":"pure","type":"function"},{"constant":true,"inputs":[{"name":"a","type":"uint256"},{"name":"b","type":"uint256"}],"name":"safeMul","outputs":[{"name":"c","type":"uint256"}],"payable":false,"stateMutability":"pure","type":"function"},{"constant":true,"inputs":[],"name":"newOwner","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[],"name":"dataPacketStorageAddress","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"a","type":"uint256"},{"name":"b","type":"uint256"}],"name":"safeAdd","outputs":[{"name":"c","type":"uint256"}],"payable":false,"stateMutability":"pure","type":"function"},{"constant":true,"inputs":[{"name":"","type":"address"}],"name":"certifiedProducers","outputs":[{"name":"","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":false,"inputs":[{"name":"_newOwner","type":"address"}],"name":"transferOwnership","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"inputs":[],"payable":false,"stateMutability":"nonpayable","type":"constructor"},{"anonymous":false,"inputs":[{"indexed":true,"name":"senderId","type":"address"},{"indexed":true,"name":"id","type":"address"},{"indexed":true,"name":"entityType","type":"uint8"}],"name":"EntityCreated","type":"event"},{"anonymous":false,"inputs":[{"indexed":true,"name":"senderId","type":"address"},{"indexed":true,"name":"entityId","type":"address"},{"indexed":false,"name":"name","type":"string"},{"indexed":false,"name":"latitude","type":"string"},{"indexed":false,"name":"longitude","type":"string"},{"indexed":false,"name":"location","type":"string"},{"indexed":false,"name":"entityType","type":"uint8"}],"name":"EntityUpdated","type":"event"},{"anonymous":false,"inputs":[{"indexed":true,"name":"certifierId","type":"address"},{"indexed":true,"name":"producer","type":"address"},{"indexed":false,"name":"materialId","type":"string"},{"indexed":false,"name":"cmw","type":"uint256"}],"name":"MassBalanceCertificationModified","type":"event"},{"anonymous":false,"inputs":[{"indexed":true,"name":"_from","type":"address"},{"indexed":true,"name":"_to","type":"address"}],"name":"OwnershipTransferred","type":"event"},{"constant":false,"inputs":[{"name":"newSilqTokenAddress","type":"address"}],"name":"updateSilqTokenAddress","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":false,"inputs":[{"name":"newDataPacketStorageAddress","type":"address"}],"name":"updateDataPacketStorageAddress","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":false,"inputs":[{"name":"newRequiredStakedSilq","type":"uint256"}],"name":"updateRequiredStakedSilq","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":true,"inputs":[{"name":"producerId","type":"address"}],"name":"getCertifierForProducer","outputs":[{"name":"certifierId","type":"address"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":false,"inputs":[{"name":"producerId","type":"address"},{"name":"materialId","type":"string"},{"name":"cmw","type":"uint256"}],"name":"modifyMassBalanceCertification","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":false,"inputs":[{"name":"id","type":"address"},{"name":"entityType","type":"uint8"},{"name":"name","type":"string"},{"name":"latitude","type":"string"},{"name":"longitude","type":"string"},{"name":"location","type":"string"}],"name":"createEntity","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":false,"inputs":[{"name":"id","type":"address"},{"name":"name","type":"string"},{"name":"latitude","type":"string"},{"name":"longitude","type":"string"},{"name":"location","type":"string"}],"name":"updateEntity","outputs":[],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":true,"inputs":[{"name":"_id","type":"address"}],"name":"getEntity","outputs":[{"name":"id","type":"address"},{"name":"entityType","type":"uint8"},{"name":"name","type":"string"},{"name":"latitude","type":"string"},{"name":"longitude","type":"string"},{"name":"location","type":"string"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":false,"inputs":[{"name":"from","type":"address"},{"name":"amount","type":"uint256"}],"name":"receiveFrom","outputs":[{"name":"success","type":"bool"}],"payable":false,"stateMutability":"nonpayable","type":"function"},{"constant":true,"inputs":[{"name":"to","type":"address"}],"name":"silqBalanceOf","outputs":[{"name":"balance","type":"uint256"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"id","type":"address"}],"name":"isProducer","outputs":[{"name":"success","type":"bool"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"id","type":"address"}],"name":"isCertifier","outputs":[{"name":"success","type":"bool"}],"payable":false,"stateMutability":"view","type":"function"},{"constant":true,"inputs":[{"name":"producerId","type":"address"},{"name":"materialId","type":"string"}],"name":"getCertifiedMassBalance","outputs":[{"name":"cmw","type":"uint256"}],"payable":false,"stateMutability":"view","type":"function"}]`);
exports.default = MinespiderContractABI;
//# sourceMappingURL=Minespider.js.map